Dietpi v6.21 and Audiophonics I-Sabre ES9028Q2M

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
jato1569
Posts: 3
Joined: Wed Jul 04, 2018 6:16 am

Dietpi v6.21 and Audiophonics I-Sabre ES9028Q2M

Post by jato1569 »

My Audiophonics I-Sabre ES9028Q2M card stopped working after upgrading from V6.17 to V6.21.
I also tried a fresh install and have same issue.
It looks like the card is not recognized and alsamixer doesn’t even start with the Sabre driver selected under Audio Options.
I am using an RPI 3 model B+
jato1569
Posts: 3
Joined: Wed Jul 04, 2018 6:16 am

Re: Dietpi v6.21 and Audiophonics I-Sabre ES9028Q2M

Post by jato1569 »

I noticed that a ticket has been opened on GitHub "DietPi-Set_Hardware | Compiling "i-sable-2km" module fails #2547".
Is there a work around that can be implemented until a new release becomes available?
User avatar
MichaIng
Site Admin
Posts: 2295
Joined: Sat Nov 18, 2017 6:21 pm

Re: Dietpi v6.21 and Audiophonics I-Sabre ES9028Q2M

Post by MichaIng »

Quite some steps are required. You could either apply the following code changes to your /DietPi/dietpi/func/dietpi-set_hardware or run the contained commands (minus the removed red ones) manually: https://github.com/Fourdee/DietPi/pull/2550/files
sac_audio
Posts: 2
Joined: Thu Mar 07, 2019 7:27 pm

Re: Dietpi v6.21 and Audiophonics I-Sabre ES9028Q2M

Post by sac_audio »

I also have the I-Sabre ES9028Q2M card. I have tried these modification to the file /DietPi/dietpi/func/dietpi-set_hardware, and after running dietpi-config and reselecting the i-sabre-k2m card, there is still no sound from the card. Using Spotify connect, I am able to "see" the sabre card, however no sound is produced. I don't "see" the card with with Roon. And alsamixer doesn't work when i-sabre-k2m is selected, as noted by jato1569.

Also, dietpi-update now loads 6.21.1.

Are there any other modifications that are needed to make the card work?
sac_audio
Posts: 2
Joined: Thu Mar 07, 2019 7:27 pm

Re: Dietpi v6.21 and Audiophonics I-Sabre ES9028Q2M

Post by sac_audio »

So that I could use the card to play music, and 6.21.1 still doesn't work, I tried to set up my RPI with an older image of dietpi, verion 6.17. During the installation It did an automatic update to 6.21.1.

Until the issue with loading the i-sabre-k2m card is fixed, is there a way to stop the automatic update during installation of 6.17?

Also curious to know if this issue persists for the newer Audiophonics I-Sabre ES9038Q2M.
User avatar
MichaIng
Site Admin
Posts: 2295
Joined: Sat Nov 18, 2017 6:21 pm

Re: Dietpi v6.21 and Audiophonics I-Sabre ES9028Q2M

Post by MichaIng »

Quick question: Did you enable OpenGL/VC4 on the Pi?

Please check if the overlay is correctly loaded:
dtoverlay -l

And to show actual used device info please run:
aplay -l
cat /etc/asound.conf
Post Reply